BlackBerry Forums Support Community

BlackBerry Forums Support Community (http://www.blackberryforums.com/)
-   GPS & Mapping (http://www.blackberryforums.com/gps-mapping/)
-   -   New Google maps sucks (http://www.blackberryforums.com/gps-mapping/213758-new-google-maps-sucks.html)

shsh 12-14-2009 01:47 PM

New Google maps sucks
 
3.2.1 does not work on my 9500
OS 4.7.0.173 Google is waiting for GPS whole time.

I got bu on my old 3.0.1 and Google find my GPS after a few seconds !

It is not any problems whith my GPS or my patience.
Everything works perfekt whith 3.0.1

Comments ?
Does anyone got a newer version that works on 9500.
I only got 3.0.1

/shsh

tom0100 12-14-2009 01:55 PM

Works but slower
 
I have a new BB 9700 with OS 5.0 the latest version of Google maps. I just upgraded from a BB 8900. GPS was faster on my 8900. It takes a minute or so for GPS to 'kick-in' on the 9700. I assumed this was a blackberry battery saving 'function' (shutting GPS down when not in use) but maybe it's a google issue? I used the same version of Google maps on my 8900....and it was faster....once going screen refresh is faster on the 9700 (given it's 3g...I'd expect it should be).

I just have to wait a little longer on this phone for initial GPS to start.

zerog46 12-14-2009 02:03 PM

Good luck, I can't get it to even come close to me with my 8530..

JSanders 12-14-2009 02:05 PM

Quote:

Originally Posted by shsh (Post 1527328)
3.2.1 does not work on my 9500
OS 4.7.0.173 Google is waiting for GPS whole time.

I got bu on my old 3.0.1 and Google find my GPS after a few seconds !

It is not any problems whith my GPS or my patience.
Everything works perfekt whith 3.0.1

Comments ?
Does anyone got a newer version that works on 9500.
I only got 3.0.1

/shsh

The newest version 3.20 works great on the Storm... I am using it.

dankarlinski 12-14-2009 03:26 PM

Wirelessly posted (White and Nerdy)

I got 3.2.1 on my 9700 and its faster with gps than any other blackberry I've ever used and even my iphone

Preroll 12-14-2009 04:38 PM

It barely works at all on the 8330. I've been complaining about it for the longest time. I downgraded back to v.2.3.2 and that version works great. Look at the other posts. Someone mentioned that it requires more processor speed for the LBS service (location based service used for Latitude). Here's the other post:

http://www.blackberryforums.com/gene...ml#post1509857

shsh 12-16-2009 02:28 PM

Quote:

Originally Posted by JSanders (Post 1527339)
The newest version 3.20 works great on the Storm... I am using it.

3.20 is not the latest version for 9500. Please read my topic.

And my phone is 9500, how 3.2.1 works on 8330 is not importent for 9500
8330 is another phone.

Does anyone got a newer version that works on 9500.
I only got 3.0.1


All times are GMT -5. The time now is 06:28 AM.

Powered by vBulletin® Version 3.6.12
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.